Talpa compilation fails on Linux distributions using 3.8.x based kernels

  • Artikel-ID: 120056
  • Aktualisiert: 30 Okt 2013

Issue

Linux distributions that have a version 3.8.x based kernel installed are not able to compile a Talpa binary pack upon installation. This was recently made available to a number of distributions including Ubuntu 12.04 LTS.

Example talpaselect.log entry from Ubuntu 12.04 LTS:

checking for compilation environment... In file included from /lib/modules/3.8.0-32-generic/build/include/linux/kernel.h:16:0,

from /lib/modules/3.8.0-32-generic/build/arch/x86/include/asm/percpu.h:44,
from /lib/modules/3.8.0-32-generic/build/arch/x86/include/asm/current.h:5,
from /lib/modules/3.8.0-32-generic/build/arch/x86/include/asm/processor.h:15,
from ./tests/configure/kernelheaders.c:6:

/lib/modules/3.8.0-32-generic/build/include/uapi/linux/kernel.h:4:27: fatal error: linux/sysinfo.h: No such file or directory
compilation terminated.
configure: error: unable to compile test programs

First seen in

Sophos Anti-Virus for Linux 9.4.0

Cause
Talpa does not currently support this Kernel version.

What To Do

Use Fanotify for on-access scanning

In order to use on-access scanning on a Linux distribution with a 3.8 based Kernel Fanotify (an alternative to Talpa) will need to be enabled. More details on how to use Fanotify are available in KBA 118216.

Upcoming support

Talpa will support 3.8 based Kernels in SAV for Linux version 9.5, with an expected release date of December 2013. The supported Kernels list for each distribution will be updated at that time. Check KBA 14377 for details.

 
Wenn Sie weitere Informationen oder Unterstützung benötigen, wenden Sie sich bitte an den technischen Support.

Artikel bewerten

Ungenügend Hervorragend

Anmerkungen